$theme-colors: (
  Red: #f93526,
  Yellow: #fccc12,
  Green: #2db699,
);

.btn {
  --main-color: transparent;
  display: block;
  padding: 0.844rem 1rem;
  width: 100%;
  color: rgba($color-black, 1);
  font-family: "DM Sans", sans-serif;
  font-weight: bold;
  text-align: center;
  // background-color: rgba(#e0e0e0, 0.25);
  background-color: var(--main-color);
  border: 2px solid transparent;
  border-radius: 3px;
  transition: all 0.3s ease;

  &:hover {
    color: rgba($color-black, 1);
    cursor: pointer;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  }

  &:focus {
    outline: 0;
    box-shadow: 0 0 0 3px rgba($color-gray-web, 0.75);
  }

  &:disabled {
    cursor: not-allowed;
    pointer-events: none;
    opacity: 0.5;
  }
}

.btn-xs {
  padding: 0.25rem 1rem;
  font-size: 0.875rem;
}

// Button color variations
@each $color, $value in $theme-colors {
  .btn#{$color} {
    background-color: $value;

    &:not(:disabled):active {
      background-color: darken($value, 5%);
    }

    &:focus {
      box-shadow: 0 0 0 3px rgba(darken($value, 15%), 0.75);
    }
  }

  .btnOutline#{$color} {
    border-color: $value;
  }
}
